summaryrefslogtreecommitdiff
path: root/contrib/debian
diff options
context:
space:
mode:
authorChris Wilson <chris+github@qwirx.com>2008-01-20 16:44:44 +0000
committerChris Wilson <chris+github@qwirx.com>2008-01-20 16:44:44 +0000
commit8a7f1a2a7ccb1a739d90f2de3fa333d24bcc73bb (patch)
treeb071e5b031857f89c1722d29ab1a31a85e74c81a /contrib/debian
parent5d5f7669b05b7bee05c5c0a8ddddd301483c0c19 (diff)
Move distribution/boxbackup/contrib to the root directory of the project,
where people expect to find it, and we can write our configure scripts to customise the files therein. Add solaris SMF framework control files, by Ben Summers.
Diffstat (limited to 'contrib/debian')
-rw-r--r--contrib/debian/README.txt9
-rw-r--r--contrib/debian/bbackupd38
-rw-r--r--contrib/debian/bbstored38
3 files changed, 85 insertions, 0 deletions
diff --git a/contrib/debian/README.txt b/contrib/debian/README.txt
new file mode 100644
index 00000000..ebe5fdf7
--- /dev/null
+++ b/contrib/debian/README.txt
@@ -0,0 +1,9 @@
+These start scripts are for Debian GNU/Linux. If installed manually they should
+be placed in /etc/init.d. To create the symbolic links for the appropriate run
+levels execute the following commands:
+
+update-rc.d bbackupd defaults 90
+update-rc.d bbstored defaults 80
+
+James Stark
+<jstark@ieee.org>
diff --git a/contrib/debian/bbackupd b/contrib/debian/bbackupd
new file mode 100644
index 00000000..e6d5326c
--- /dev/null
+++ b/contrib/debian/bbackupd
@@ -0,0 +1,38 @@
+#! /bin/sh
+
+# Start and stop the Box Backup client daemon.
+
+test -x /usr/local/bin/bbackupd || exit 0
+test -f /etc/box/bbackupd.conf || exit 0
+
+case $1 in
+ start)
+ echo -n "Starting Box Backup Client daemon: bbackupd"
+ start-stop-daemon --start --quiet --exec /usr/local/bin/bbackupd > /dev/null
+ echo "."
+ ;;
+
+ stop)
+ echo -n "Stopping Box Backup Client daemon: bbackupd"
+ start-stop-daemon --stop --quiet --pidfile /var/run/bbackupd.pid --exec /usr/local/bin/bbackupd
+ echo "."
+ ;;
+
+ reload|force-reload)
+ echo -n "Reloading the Box Backup Client daemon's configuration"
+ start-stop-daemon --stop --signal 1 --quiet --oknodo --pidfile /var/run/bbackupd.pid --exec /usr/local/bin/bbackupd
+ echo "."
+ ;;
+
+ restart)
+ echo -n "Restarting the Box Backup Client daemon: bbackupd"
+ start-stop-daemon --stop --quiet --pidfile /var/run/bbackupd.pid --exec /usr/local/bin/bbackupd
+ start-stop-daemon --start --quiet --exec /usr/local/bin/bbackupd > dev/null
+ echo "."
+ ;;
+ *)
+ echo "Usage: /etc/init.d/bbackupd {start|stop|reload|force-reload|restart}"
+ exit 1
+esac
+
+exit 0
diff --git a/contrib/debian/bbstored b/contrib/debian/bbstored
new file mode 100644
index 00000000..7a512161
--- /dev/null
+++ b/contrib/debian/bbstored
@@ -0,0 +1,38 @@
+#! /bin/sh
+
+# Start and stop the Box Backup Server.
+
+test -x /usr/local/bin/bbstored || exit 0
+test -f /etc/box/bbstored.conf || exit 0
+
+case $1 in
+ start)
+ echo -n "Starting the Box Backup Server daemon: bbstored"
+ start-stop-daemon --start --quiet --exec /usr/local/bin/bbstored > /dev/null
+ echo "."
+ ;;
+
+ stop)
+ echo -n "Stopping the Box Backup Server daemon: bbstored"
+ start-stop-daemon --stop --quiet --pidfile /var/run/bbstored.pid --exec /usr/local/bin/bbstored
+ echo "."
+ ;;
+
+ reload|force-reload)
+ echo -n "Reloading the Box Backup Server's configuration"
+ start-stop-daemon --stop --signal 1 --quiet --oknodo --pidfile /var/run/bbstored.pid --exec /usr/local/bin/bbstored
+ echo "."
+ ;;
+
+ restart)
+ echo -n "Restarting the Box Backup Server daemon: bbstored"
+ start-stop-daemon --stop --quiet --pidfile /var/run/bbstored.pid --exec /usr/local/bin/bbstored
+ start-stop-daemon --start --quiet --exec /usr/local/bin/bbstored > /dev/null
+ echo "."
+ ;;
+
+ *)
+ echo "Usage /etc/init.d/bbstored {start|stop|reload|force-reload|restart}"
+esac
+
+exit 0